﻿//------------------------------------------------------------------------------
// <auto-generated>
//     このコードはテンプレートから生成されました。
//
//     このファイルを手動で変更すると、アプリケーションで予期しない動作が発生する可能性があります。
//     このファイルに対する手動の変更は、コードが再生成されると上書きされます。
// </auto-generated>
//------------------------------------------------------------------------------

namespace CsvImportingApp
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    /// <summary>DBコンテキストクラス</summary>
    public partial class ItemDbContext : DbContext
    {
        /// <summary>コンストラクタ</summary>
        public ItemDbContext()
            : base("name=ItemDbContext")
        {
        }
        /// <summary>
        /// モデル作成処理
        /// </summary>
        /// <param name="modelBuilder">モデルビルダー</param>
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        /// <summary>CATEGORIES</summary>
        public virtual DbSet<CATEGORY> CATEGORIES { get; set; }
        /// <summary>ITEMS</summary>
        public virtual DbSet<ITEM> ITEMS { get; set; }
    }
}
